VirtualBox

Ticket #2331 (closed defect: worksforme)

Opened 6 years ago

Last modified 5 years ago

vboxdrv (2.0.2) fails to load on kernel 2.6.27-rc7

Reported by: urandom Owned by:
Priority: major Component: host support
Version: VirtualBox 2.0.2 Keywords:
Cc: Guest type: other
Host type: Linux

Description

With the new kernel version 2.6.27-rc7, VirtualBox's vboxdrv module (version 2.0.2) fails to load, even though it builds fine. When 'modprobe vboxdrv' is issued, the following error is printed in dmesg:

vboxdrv: disagrees about version of symbol struct_module

Change History

comment:1 Changed 5 years ago by frank

  • Status changed from new to closed
  • Resolution set to worksforme

If you still have such problems please search the forums. Your error message usually means that your kernel headers and your current running kernel do not match. Also, if you are on Mandriva it is strongly suggested to install dkms.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use